Class | Fog::Collection
In: | lib/fog/core/collection.rb
Parent: | Array

### Methods

clear create destroy inspect load model model new new reload table to_json

### Included Modules

Fog::Attributes::InstanceMethods Fog::Core::DeprecatedConnectionAccessors

### Attributes

service | [R] |

### Public Class methods

model(new_model=nil)
new(attributes = {})

Creates a new Fog::Collection based around the passed service

@param [Hash] attributes @option attributes [Fog::Service] service Instance of a service

@return [Fog::Collection]

### Public Instance methods

clear()
create(attributes = {})
destroy(identity)
inspect()
load(objects)
model()
new(attributes = {})
reload()
table(attributes = nil)
to_json(options = {})

[Validate]